apiVersion: v1
kind: Service
metadata:
  name: {{ include "gx-catalogue-api.fullname" . | trunc 50 | trimSuffix "-"}}-http
  labels:
    {{- include "gx-catalogue-api.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: {{ include "gx-catalogue-api.fullname" . | trunc 10 | trimSuffix "-"}}-http
      protocol: TCP
      name: http
  selector:
    {{- include "gx-catalogue-api.selectorLabels" . | nindent 4 }}
---
apiVersion: v1
kind: Service
metadata:
  name: {{ include "gx-catalogue-api.fullname" . | trunc 50 | trimSuffix "-"}}-memgraph
  labels:
    {{- include "gx-catalogue-api.labelsMemgraph" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: 7687
      targetPort: {{ include "gx-catalogue-api.fullname" . | trunc 5 | trimSuffix "-"}}-memgraph
      protocol: TCP
      name: {{ include "gx-catalogue-api.fullname" . | trunc 50 | trimSuffix "-"}}-memgraph
  selector:
    {{- include "gx-catalogue-api.selectorLabelsMemgraph" . | nindent 4 }}